From 46c3530d9008520378835bd1dc4fc2390e948a83 Mon Sep 17 00:00:00 2001
From: guowenxue <guowenxue@gmail.com>
Date: Fri, 21 Aug 2020 17:29:53 +0800
Subject: [PATCH] Add tslib build shell script

---
 3rdparty/tslib/build.sh |   91 +++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 91 insertions(+), 0 deletions(-)

diff --git a/3rdparty/tslib/build.sh b/3rdparty/tslib/build.sh
new file mode 100755
index 0000000..5c926f7
--- /dev/null
+++ b/3rdparty/tslib/build.sh
@@ -0,0 +1,91 @@
+#!/bin/bash
+
+#+--------------------------------------------------------------------------------------------
+#|Description:  This shell script used download and compile QT5 for ARM
+#|     Author:  GuoWenxue <guowenxue@gmail.com>
+#|  ChangeLog:
+#|           1, Initialize 1.0.0 on 2011.04.12
+#+--------------------------------------------------------------------------------------------
+
+PROJ_PATH=`pwd`/..
+PREFIX_PATH=${PROJ_PATH}/../install
+mkdir -p ${PREFIX_PATH}/{bin,sbin,include,lib}
+
+CROSSTOOL=/opt/xtools/arm920t/bin/arm-linux-
+LYFTP_SRC=ftp://master.iot-yun.club/src/
+
+function msg_banner()
+{
+    echo ""
+    echo "+-----------------------------------------------------------------------"
+    echo "|  $1 "
+    echo "+-----------------------------------------------------------------------"
+    echo ""
+}
+
+function check_result()
+{
+    if [ $? != 0 ] ; then
+       echo ""
+       echo "+-----------------------------------------------------------------------"
+       echo "|  $1 "
+       echo "+-----------------------------------------------------------------------"
+       echo ""
+       exit ;
+    fi
+}
+
+function export_cross()
+{
+    # export cross toolchain
+    export CC=${CROSSTOOL}gcc
+    export AS=${CROSSTOOL}as
+    export AR=${CROSSTOOL}ar
+    export LD=${CROSSTOOL}ld
+    export NM=${CROSSTOOL}nm
+    export RANLIB=${CROSSTOOL}ranlib
+    export OBJDUMP=${CROSSTOOL}objdump
+    export STRIP=${CROSSTOOL}strip
+
+    # export cross configure 
+    export CONFIG_CROSS=" --build=i686-pc-linux --host=arm-linux "
+
+    # Clear LDFLAGS and CFLAGS
+    export LDFLAGS=
+    export CFLAGS=
+}
+
+function compile_tslib()
+{
+    SRC_NAME=tslib-1.22
+    PACK_SUFIX=tar.bz2
+
+
+    if [ -f ${PREFIX_PATH}/lib/libts.so ] ; then
+        msg_banner "Already cross compile $SRC_NAME "
+        return 0;
+    fi
+
+    msg_banner "Start cross compile $SRC_NAME "
+
+    if [ ! -f ${SRC_NAME}.${PACK_SUFIX} ] ; then
+        #wget https://gitlab.com/tslib/tslib/uploads/021755cde4aba79478464459c8a2122c/${SRC_NAME}.${PACK_SUFIX}
+        wget ${LYFTP_SRC}/${SRC_NAME}.${PACK_SUFIX}
+        check_result "ERROR: download ${SRC_NAME} failure"
+    fi
+
+    tar -xjf ${SRC_NAME}.${PACK_SUFIX} 
+    cd ${SRC_NAME}
+
+    ./configure --prefix=${PREFIX_PATH} ${CONFIG_CROSS} 
+    make && make install
+
+    cd -
+}
+
+
+export_cross
+
+compile_tslib
+
+

--
Gitblit v1.9.1